## org.apache.axis.encoding.ser
Class JAFDataHandlerSerializerFactory

    java.lang.Object
      org.apache.axis.encoding.ser.BaseFactory
          org.apache.axis.encoding.ser.BaseSerializerFactory
              org.apache.axis.encoding.ser.JAFDataHandlerSerializerFactory

All Implemented Interfaces:
  java.io.Serializable, SerializerFactory, SerializerFactory

public class JAFDataHandlerSerializerFactory
extends BaseSerializerFactory

A JAFDataHandlerSerializer Factory

Author:
  Rich Scheuerle (scheu@us.ibm.com)
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.axis.encoding.ser.BaseSerializerFactory
`getSerializer, javaType, log, ser, serClass, serClassConstructor, xmlType`

Constructor Summary
`JAFDataHandlerSerializerFactory()`
`JAFDataHandlerSerializerFactory(java.lang.Class javaType, QName xmlType)`

Methods inherited from class org.apache.axis.encoding.ser.BaseSerializerFactory
`createFactory, getGeneralPurpose, getGetSerializer, getJavaType, getSerClassConstructor, getSerializerAs, getSerializerAsInternal, getSpecialized, getSupportedMechanismTypes, getXMLType`

Methods inherited from class org.apache.axis.encoding.ser.BaseFactory
`getMethod`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JAFDataHandlerSerializerFactory

    public JAFDataHandlerSerializerFactory(java.lang.Class javaType,
                                           QName xmlType)

### JAFDataHandlerSerializerFactory

    public JAFDataHandlerSerializerFactory()

Copyright © 2005 Apache Web Services Project. All Rights Reserved.